# $Revision: 1.7.2.1 $, $Date: 2003/03/13 00:56:58 $
#
# Conditional build:
# _with_tests - perform "make test" (tests 23, 25-30 from more.t fail in
# 		February - except leap years)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Date
%define		pnam	Tie
Summary:	Date::Tie - ISO dates made easy
Summary(pl):	Date::Tie - uatwienia do dat ISO
Name:		perl-Date-Tie
Version:	0.15
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Date::Tie is an attempt to simplify date operations syntax.

It works with calendar dates (year-month-day), ordinal dates
(year-day), week dates (year-week-day), times (hour:minute:second),
decimal fractions (decimal hours, decimal minutes and decimal
seconds), and time-zones.

%description -l pl
Date::Tie to prba uproszczenia skadni operacji na datach.

Modu dziaa z datami kalendarzowymi (rok-miesic-dzie), datami
porzdkowymi (rok-dzie), datami tygodniowymi (rok-tydzie-dzie),
czasem (godzina:minuta:sekunda), uamkami dziesitnymi (dziesitne
godziny, dziesitne minuty i dziesitne sekundy) i strefami czasowymi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Date-Tie.spec,v $
Revision 1.7.2.1  2003/03/13 00:56:58  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7  2003/02/28 15:28:27  ankry
- tests disabled - they fail in February...

Revision 1.6  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:31:19  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/11/20 12:16:35  mis
- autoupdated to 0.15

Revision 1.3  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.2  2002/08/26 14:10:31  ankry
- replaced version by an existent one: 0.14

Revision 1.1  2002/08/25 15:21:04  radek
- new, STBR
